Subject: Re: bug#38529: Make --pure the default for `guix environment'?

From: Ludovic Courtès <[email-masked]>
Date: Tue, 10 Dec 2019 18:16:26 +0100

Hello!

"Thompson, David" <[email-masked]> skribis:

> I have long thought that --ad-hoc should be implied, as that is the
> mode I use 99% of the time, but I disagree that --pure should be the
> default.

I very much agree with that.  I don’t think ‘--pure’ should be the
default, because there are valid use cases for that.

As for ‘--ad-hoc’: making it the default is technically easy.  The
difficulty is to come up with a nice transition/deprecation mechanism so
that we don’t break everyone’s script overnight.

Ideas on how to achieve it are welcome!

Thanks,
Ludo’.